WatchedDirResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class WatchedDirResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.WatchedDirResourceApi

-     public class WatchedDirResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WatchedDirResourceApi()`
    `WatchedDirResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiWatchedDir` | `addWatchedDirectory(String clusterName, String serviceName, ApiWatchedDir body)` Adds a directory to the watching list.
    `okhttp3.Call` | `addWatchedDirectoryAsync(String clusterName, String serviceName, ApiWatchedDir body, ApiCallback<ApiWatchedDir> callback)` Adds a directory to the watching list.
    `okhttp3.Call` | `addWatchedDirectoryCall(String clusterName, String serviceName, ApiWatchedDir body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addWatchedDirectory
    `ApiResponse<ApiWatchedDir>` | `addWatchedDirectoryWithHttpInfo(String clusterName, String serviceName, ApiWatchedDir body)` Adds a directory to the watching list.
    `ApiClient` | `getApiClient()`
    `ApiWatchedDirList` | `listWatchedDirectories(String clusterName, String serviceName)` Lists all the watched directories.
    `okhttp3.Call` | `listWatchedDirectoriesAsync(String clusterName, String serviceName, ApiCallback<ApiWatchedDirList> callback)` Lists all the watched directories.
    `okhttp3.Call` | `listWatchedDirectoriesCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listWatchedDirectories
    `ApiResponse<ApiWatchedDirList>` | `listWatchedDirectoriesWithHttpInfo(String clusterName, String serviceName)` Lists all the watched directories.
    `ApiWatchedDir` | `removeWatchedDirectory(String clusterName, String directoryPath, String serviceName)` Removes a directory from the watching list.
    `okhttp3.Call` | `removeWatchedDirectoryAsync(String clusterName, String directoryPath, String serviceName, ApiCallback<ApiWatchedDir> callback)` Removes a directory from the watching list.
    `okhttp3.Call` | `removeWatchedDirectoryCall(String clusterName, String directoryPath, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeWatchedDirectory
    `ApiResponse<ApiWatchedDir>` | `removeWatchedDirectoryWithHttpInfo(String clusterName, String directoryPath, String serviceName)` Removes a directory from the watching list.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WatchedDirResourceApi

          public WatchedDirResourceApi()

    - #### WatchedDirResourceApi

          public WatchedDirResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addWatchedDirectoryCall

          public okhttp3.Call addWatchedDirectoryCall(String clusterName,
                                                      String serviceName,
                                                      ApiWatchedDir body,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for addWatchedDirectory
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - The directory to be added. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addWatchedDirectory

          public ApiWatchedDir addWatchedDirectory(String clusterName,
                                                   String serviceName,
                                                   ApiWatchedDir body)
                                            throws ApiException

      Adds a directory to the watching list. Adds a directory to the watching list. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - The directory to be added. (optional)
      Returns:
        ApiWatchedDir
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addWatchedDirectoryWithHttpInfo

          public ApiResponse<ApiWatchedDir> addWatchedDirectoryWithHttpInfo(String clusterName,
                                                                            String serviceName,
                                                                            ApiWatchedDir body)
                                                                     throws ApiException

      Adds a directory to the watching list. Adds a directory to the watching list. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - The directory to be added. (optional)
      Returns:
        ApiResponse<ApiWatchedDir>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addWatchedDirectoryAsync

          public okhttp3.Call addWatchedDirectoryAsync(String clusterName,
                                                       String serviceName,
                                                       ApiWatchedDir body,
                                                       ApiCallback<ApiWatchedDir> callback)
                                                throws ApiException

      Adds a directory to the watching list. (asynchronously) Adds a directory to the watching list. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `body` - The directory to be added. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listWatchedDirectoriesCall

          public okhttp3.Call listWatchedDirectoriesCall(String clusterName,
                                                         String serviceName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for listWatchedDirectories
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listWatchedDirectories

          public ApiWatchedDirList listWatchedDirectories(String clusterName,
                                                          String serviceName)
                                                   throws ApiException

      Lists all the watched directories. Lists all the watched directories. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiWatchedDirList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listWatchedDirectoriesWithHttpInfo

          public ApiResponse<ApiWatchedDirList> listWatchedDirectoriesWithHttpInfo(String clusterName,
                                                                                   String serviceName)
                                                                            throws ApiException

      Lists all the watched directories. Lists all the watched directories. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiWatchedDirList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listWatchedDirectoriesAsync

          public okhttp3.Call listWatchedDirectoriesAsync(String clusterName,
                                                          String serviceName,
                                                          ApiCallback<ApiWatchedDirList> callback)
                                                   throws ApiException

      Lists all the watched directories. (asynchronously) Lists all the watched directories. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeWatchedDirectoryCall

          public okhttp3.Call removeWatchedDirectoryCall(String clusterName,
                                                         String directoryPath,
                                                         String serviceName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for removeWatchedDirectory
      Parameters:
        `clusterName` - (required)
        `directoryPath` - The directory path to be removed. (required)
        `serviceName` - The service name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeWatchedDirectory

          public ApiWatchedDir removeWatchedDirectory(String clusterName,
                                                      String directoryPath,
                                                      String serviceName)
                                               throws ApiException

      Removes a directory from the watching list. Removes a directory from the watching list. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `directoryPath` - The directory path to be removed. (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiWatchedDir
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeWatchedDirectoryWithHttpInfo

          public ApiResponse<ApiWatchedDir> removeWatchedDirectoryWithHttpInfo(String clusterName,
                                                                               String directoryPath,
                                                                               String serviceName)
                                                                        throws ApiException

      Removes a directory from the watching list. Removes a directory from the watching list. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `directoryPath` - The directory path to be removed. (required)
        `serviceName` - The service name. (required)
      Returns:
        ApiResponse<ApiWatchedDir>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeWatchedDirectoryAsync

          public okhttp3.Call removeWatchedDirectoryAsync(String clusterName,
                                                          String directoryPath,
                                                          String serviceName,
                                                          ApiCallback<ApiWatchedDir> callback)
                                                   throws ApiException

      Removes a directory from the watching list. (asynchronously) Removes a directory from the watching list. <p> Available since API v14. Only available with Cloudera Manager Enterprise Edition. <p>
      Parameters:
        `clusterName` - (required)
        `directoryPath` - The directory path to be removed. (required)
        `serviceName` - The service name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.